/* ============ section about us ============ */
.section-about-us{ background-color: var(--off-white-01); position: relative; overflow: hidden; min-height: 600px; }
.about-image { position: absolute; left: 0; top: 0; width: 50%; height: 100%; overflow: hidden; }
.about-image img { width: 100%; height: 100%; object-fit: cover; object-position: center; }
.about-us-content { margin-left: 50%; padding: 154px 0 154px 28px; display: flex; flex-direction: column; justify-content: center; min-height: 600px; }
.about-content-text { display: flex; flex-direction: column; gap: 8px; }
.about-content-text .p-small { margin-bottom: 0; }
.about-content-text .heading-style-2 { margin-bottom: 0; color: var(--black); }
.about-description { display: flex; flex-direction: column; gap: 24px; margin-top: 20px; }
.about-description p { margin-bottom: 0; color: var(--secondary); }
.about-us-content .common-theme-btn { width: fit-content; }

/* ============ section our projects ============ */
.our-project-section { background-color: var(--white); }
.our-project-wrapper { display: flex; flex-direction: column; }
.our-project-card { display: block; }
.our-project-card .row{row-gap: 20px;}
.project-card { position: relative; width: 100%; height: 600px; border-radius: 20px; overflow: hidden; cursor: pointer; transition: transform 0.3s ease-in-out; border: 1px solid var(--f0); }
.project-card:hover { transform: translateY(-5px); border-color: #D9D9D9; }
.card-image { position: relative; width: 100%; height: 100%; overflow: hidden; }
.card-image img { width: 100%; height: 100%; object-fit: cover; object-position: center; transition: transform 0.3s ease-in-out; }
.project-card:hover .card-image img { transform: scale(1.05); }
.image-overlay { position: absolute; bottom: 0; left: 0; right: 0; height: 50%; background: linear-gradient(180deg, rgba(0, 0, 0, 0) 77.58%, #000000 100%); pointer-events: none; }
.card-overlay { position: absolute; bottom: 0; left: 0; right: 0; min-height: 40%; background-color: var(--white); transform: translateY(100%); transition: transform 0.3s ease-in-out; display: flex; align-items: center; justify-content: center; border: 1px solid var(--f0); }
.project-card:hover .card-overlay { transform: translateY(0); border-color: #D9D9D9; }
.overlay-content { padding: 24px 27px; width: 100%; height: 100%; display: flex; flex-direction: column; gap: 16px; }
.project-info { display: flex; flex-direction: column; gap: 16px; align-items: center; }
.project-title { display: flex; flex-direction: column; gap: 3px; text-align: center; }
.project-title h3 { margin-bottom: 0; color: var(--black); }
.project-subtitle { margin-bottom: 0; color: var(--black); font-size: 16px; line-height: 26px; font-weight: 500; }
.project-divider { width: 161px; height: 1px; background-color: #E1E1E1; }
.project-description { margin-bottom: 0; color: var(--black); text-align: center; line-height: 22px; }
.card-content { position: absolute; bottom: 0; left: 0; right: 0; padding: 40px 20px; display: flex; align-items: center; justify-content: center; }
.card-content .project-title { text-align: center; }
.card-content .project-title h3 { color: var(--white); }
.card-content .project-subtitle { color: var(--white); }
.project-button-wrapper { display: flex; justify-content: center; }

/* ============ section contact us ============ */
.section-contact-us{ padding-block: 130px; position: relative; background-color: var(--off-white); }
.section-contact-us .container{ text-align: center; position: relative; z-index: 1; }
.section-contact-us::before,
.section-contact-us::after{ content: "";height: 16vw; width: 35%; position:absolute; background:url(../images/contact-section-after-image.png) no-repeat center center / cover; pointer-events: none; }
.section-contact-us::before{ top:0;left:0;transform: rotate(180deg); }
.section-contact-us::after{ bottom:0;right:0; }
.section-contact-us .heading-style-2{ color: var(--black-02); margin-bottom: 12px; }
.section-contact-us p{ font-weight:500; color: var(--secondary); margin-bottom: 24px; }
.section-contact-us .contact-info{ gap:24px; }
.section-contact-us .contact-info p,
.section-contact-us .contact-info p a{ color: var(--black); margin-bottom: 0; display: flex; align-items: center; justify-content: center; font-weight:600; }
.section-contact-us .contact-info p a{ padding-left: 4px; border-bottom: 1px solid transparent; }
.section-contact-us .contact-info p a:hover{ border-color:var(--black); }
.section-contact-us .contact-info p a:focus{background-color: var(--f0) !important;color:var(--black) !important;}
.section-contact-us .contact-info p img{ height:20px; width: 20px; filter: brightness(0) saturate(100%); margin-right:8px; }
.section-contact-us a.common-theme-btn{ min-width: 474px; }

/* ============ section value ============ */
.section-value{ background-color: var(--off-white-01); }
.value-card-wrap{ margin-top: 40px; }
.value-card-inner{ width: calc(100% / 5 - 22px); background-color: var(--white); border: 1px solid #EDEDED; border-radius: 10px; padding: 32px 30px; min-height: 240px; display: flex; flex-direction: column; align-items: center; text-align: center; }
.icon-circle{ width: 80px; height: 80px; border: 1px solid #EDEDED; border-radius: 50%; display: flex; align-items: center; justify-content: center; margin-bottom: 24px; flex-shrink: 0;}
.icon-circle img{ width: 36px; height: 36px; }
.value-content{ display: flex; flex-direction: column; gap: 8px; }
.value-content p:first-of-type{ color: var(--black); font-weight:600;}
.value-content .p-small{ color: var(--secondary);font-weight:400;letter-spacing:0;text-transform:unset;}

/* ============ section gallery ============ */
.section-gallery{ background-color: var(--black); }
.section-gallery .row{--bs-gutter-x: 10px; --bs-gutter-y: 10px; }
.section-gallery .title-description .title-header .p-small{ color: var(--white); }
.section-gallery .title-description .title-header .heading-style-2{ color: var(--white); }
.section-gallery .title-description p{ color: var(--white); }
.gallery-cards-wrap{ margin-top: 40px; }
.gallery-main-image{ width: 100%;height: 100%; position: relative; padding-top: 85.04%; border-radius: 10px; overflow: hidden; }
.gallery-main-image a{ display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; }
.gallery-main-image img{ width: 100%; height: 100%; object-fit: cover; object-position: center; transition: transform 0.3s ease-in-out; }
.gallery-main-image:hover img{ transform: scale(1.05); }
.gallery-side-images{ display: flex; flex-direction: column; gap: 10px; }
.gallery-side-image{ width: 100%; position: relative; padding-top: 91.62%; border-radius: 10px; overflow: hidden; }
.gallery-side-image a{ display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; }
.gallery-side-image img{ width: 100%; height: 100%; object-fit: cover; object-position: center; transition: transform 0.3s ease-in-out; }
.gallery-side-image:hover img{ transform: scale(1.05); }
.gallery-button-wrapper{ text-align: center;}
.white-transparent-theme-btn{ background-color: transparent; border: 1px solid var(--white); color: var(--white); }
.white-transparent-theme-btn:hover{ background-color: var(--white); color: var(--black); }

/* ============ section investor ============ */
.section-investor{ background-color: var(--off-white-01); }
.section-investor .row{ --bs-gutter-x: 28px; }
.investor-image{ width: 100%;position: relative; padding-top: 86.24%; border-radius: 20px; overflow: hidden; }
.investor-image img{ position: absolute; top: 0; left: 0; width: 100%; height: 100%; object-fit: cover; object-position: center; }
.investor-content{margin-left: -10%; position: relative; z-index: 1;background-color: var(--off-white-01); border: 1px solid #EDEDED; border-radius: 20px; padding: 28px; display: flex; align-items: center; }
.investor-header{ display: flex; flex-direction: column; gap: 8px; margin-bottom:12px;}
.investor-header .p-small{ color: var(--gray); margin-bottom: 0; }
.investor-header .heading-style-2{ color: var(--black); margin-bottom: 0; }
.investor-text > .p-small:last-of-type{color: var(--secondary); margin-bottom: 0; letter-spacing: 0; text-transform: unset; font-weight:400;}
.investor-button-wrapper{ display: flex; }

.loader-line {
    display: inline-block;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    margin-right: 8px;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    animation: loaderLineAnim 1s linear infinite;
    background: conic-gradient(#0000 10%, #f9f9f9) content-box;
    -webkit-mask: repeating-conic-gradient(#0000 0deg, #ffffff 1deg 20deg, #0000 21deg 36deg), radial-gradient(farthest-side, #0000 calc(100% - var(--b) - 1px), #ffffff calc(100% - var(--b)));
    -webkit-mask-composite: destination-in;
    mask-composite: intersect;
    --b: 5px;
}

@keyframes loaderLineAnim {
  100%{transform:translateY(-50%) rotate(1turn);}
}

/* =========================================== responsive breakpoints =========================================== */
@media screen and (max-width: 1600px) {
    /* ============ section about us ============ */    
    .about-us-content { padding: 100px 0 100px 26px; }
    .about-description { gap: 20px; margin-top: 18px; }
    
    /* ============ section project ============ */
    .project-card { height: 520px; }
    
    /* ============ section value ============ */
    .value-card-wrap { margin-top: 35px; }
    .value-card-inner { padding: 28px 26px; min-height: 220px; }
    .icon-circle { width: 75px; height: 75px; margin-bottom: 20px; }
    .icon-circle img { width: 34px; height: 34px; }
    
    /* ============ section gallery ============ */
    .gallery-side-images { gap: 8px; }
    
    /* ============ section investor ============ */
    .investor-content { padding: 24px; }
    .investor-content-inner { gap: 35px; }
    
}

@media screen and (max-width: 1500px) {
    /* ============ section about us ============ */    
    .about-us-content { padding: 90px 0 90px 24px; }
    .about-description { gap: 18px; margin-top: 16px; }
    
    /* ============ section project ============ */
    .project-card { height: 460px; }
    
    /* ============ section value ============ */
    .value-card-inner { padding: 26px 24px; min-height: 200px; }
    .icon-circle { width: 70px; height: 70px; margin-bottom: 18px; }
    .icon-circle img { width: 32px; height: 32px; }
    
    /* ============ section gallery ============ */
    .gallery-side-images { gap: 8px; }
    
    /* ============ section investor ============ */
    .investor-content {padding: 22px; }
    
}

@media screen and (max-width: 1366px) {
    /* ============ section about us ============ */  
    .about-us-content { padding: 80px 0 80px 22px; }    
    .about-description { gap: 20px; margin-top: 15px; }
    
    /* ============ section project ============ */
    .project-card { height: 420px; }
    .overlay-content { padding: 20px 20px; gap: 12px; }
    
    /* ============ section contact us ============ */
    .section-contact-us { padding-block: 90px;}
    .section-contact-us p{margin-bottom: 16px;}
    .section-contact-us a.common-theme-btn { min-width: auto; }
    
    /* ============ section value ============ */
    .value-card-inner { padding: 24px 15px; min-height: 180px; width: calc(100% / 5 - 11px);}
    .icon-circle { width: 65px; height: 65px; margin-bottom: 16px; }
    .icon-circle img { width: 30px; height: 30px; }
    
    /* ============ section gallery ============ */
    
    /* ============ section investor ============ */
    .investor-content {  padding: 20px; margin-left:-10%;}
    .investor-content,.investor-image{border-radius:14px;}
    
}

@media screen and (max-width: 1199px) {
    /* ============ section about us ============ */  
    .about-us-content { padding: 70px 0 70px 20px; }
    .about-description { gap: 20px; margin-top: 15px; }
    /* ============ section project ============ */
    .project-card { height: 360px; }
    .card-content{padding: 20px;}    
    .overlay-content { padding: 16px 10px; gap: 10px; }
    .project-description { font-size: 14px; line-height: 20px; }
    .our-project-card .row { --bs-gutter-x: 10px; }
    /* ============ section contact us ============ */
    .section-contact-us { padding-block: 80px;}
    .section-contact-us p{margin-bottom: 15px;}
    
    
    /* ============ section value ============ */
    .value-card-inner { padding: 18px; min-height: 200px;width:calc(100% / 5 - 8px);}
    .icon-circle { width: 50px; height: 50px; margin-bottom: 14px; }
    .icon-circle img { width: 24px; height: 24px; }
    
    /* ============ section gallery ============ */
    
    /* ============ section investor ============ */
    .investor-content { padding: 18px;margin-left:-12%;}
    .investor-header{gap: 5px; margin-bottom: 7px;}
   
}

@media screen and (max-width: 991px) {
    /* ============ section about us ============ */  
    .section-about-us { padding-block: 80px; }
    .about-image { position: relative; width: 100%; height: 560px; margin-bottom: 30px; }
    .about-us-content { margin-left: 0; padding: 0; min-height: auto; max-width: 100%; }
    .about-description { gap: 18px; margin-top: 14px; }
    
    /* ============ section project ============ */
    .project-card { height: 450px; }
    .overlay-content { padding: 12px 16px; gap: 8px; }
    .our-project-card .row { --bs-gutter-x: 15px; --bs-gutter-y: 15px; }
    /* ============ section contact us ============ */
    .section-contact-us { padding-block: 70px;}
    .section-contact-us p{margin-bottom: 12px;}
    
    /* ============ section value ============ */
    .section-value .row{gap: 6px;}
    .value-card-inner { padding: 20px; min-height: 140px;width: calc(100% / 3 - 12px); }
    .icon-circle { width: 55px; height: 55px; margin-bottom: 12px; }
    .icon-circle img { width: 26px; height: 26px; }
    
    /* ============ section gallery ============ */
    
    /* ============ section investor ============ */
    .investor-content { padding: 20px; margin-left: -35%;}
    .investor-image{padding-top: 104.24%;}
   
}

@media screen and (max-width: 767px) {
    /* ============ section about us ============ */  
    .section-about-us { padding-block: 60px; }
    .about-image { height: 480px; margin-bottom: 25px; }
    .about-description { gap: 15px; margin-top: 13px; }
    /* ============ section project ============ */
    .project-card { height: 360px; }
    .overlay-content { padding: 10px 16px; gap: 6px; }
    /* ============ section contact us ============ */
    .section-contact-us { padding-block: 60px;}
    .section-contact-us p{margin-bottom: 11px;}
    
    /* ============ section value ============ */
    .value-card-inner { padding: 18px 16px; min-height: 150px;width: calc(100% / 3 - 15px); }
    .icon-circle { width: 50px; height: 50px; margin-bottom: 10px; }
    .icon-circle img { width: 24px; height: 24px; }
    
    /* ============ section gallery ============ */
    
    /* ============ section investor ============ */
    .investor-image { margin-bottom: 15px;padding-top: 88.24%; }
    .investor-content { padding: 18px; margin: -10% auto 0; width: 96%;}
    
   
}

@media screen and (max-width: 575px) {
    /* ============ section about us ============ */  
    .section-about-us { padding-block: 40px; }
    .about-image { height: 420px; margin-bottom: 20px; }
    .about-description { gap: 12px; }
    /* ============ section project ============ */
    .project-card { height: 480px; }
    .overlay-content {
        padding: 8px 12px; gap: 4px; }
    /* ============ section contact us ============ */
    .section-contact-us { padding-block: 55px;}
    .section-contact-us p{margin-bottom: 10px;}
    .section-contact-us .contact-info{flex-wrap:wrap;gap:10px;}
    .section-contact-us .contact-info p img { height: 18px; width: 18px;}
    
    /* ============ section value ============ */
    .value-card-inner { padding: 16px 14px; min-height: 140px; width: calc(100% / 1 - 26px);}
    .icon-circle { width: 45px; height: 45px; margin-bottom: 8px; }
    .icon-circle img { width: 22px; height: 22px; }
    
    /* ============ section gallery ============ */
    .gallery-main-image,.gallery-side-image{border-radius: 7px;}
    
    /* ============ section investor ============ */
    .investor-image { margin-bottom: 10px;}
    .investor-content {  padding: 15px;}
    
}